/* 
 * NATOW - Tank to tank warfare in a 3D fully destructable world
 *
 * Copyright (C) 2000-2001
 *                     Robert Ancell  <bob27@users.sourceforge.net>
 *                     Yannick Perret <hexasoft@users.sourceforge.net>
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */

#ifndef __lakes_h__
#define __lakes_h__

#include <stdio.h>
#include <stdlib.h>

typedef struct _Lake Lake;

/* A lake */
struct _Lake
{
  float altitude;  /* altitude of the surface */
  int *cx, *cy;    /* points */
  int nb_c;        /* number of points */
  
  GLuint drawing;  /* GL drawing list */
};

#include "map.h"

/* create a new lake with the given parameter:
    a string containing the starting x and y and the
    ending x and y, with blank separators */
Lake *create_lake(Map *, char *);

#endif /* __lakes_h__ */
