/* 
 * NATOW - Tank to tank warfare in a 3D fully destructable world
 *
 * Copyright (C) 2000-2001
 *                     Robert Ancell  <bob27@users.sourceforge.net>
 *                     Yannick Perret <hexasoft@users.sourceforge.net>
 *                     Joel Pitt      <extropy@users.sourceforge.net>
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */

#ifndef __pathfind_h__
#define __pathfind_h__

typedef struct _pathnode pathnode;

#include <stdlib.h>
#include <math.h>

#include "world.h"
#include "game.h"

pathnode* find_path(Player *player, float x, float y);

/* Make a path to dry ground */
pathnode *find_dry_path(Player *player);

/* Remove the first node */
pathnode *pop_node(pathnode *path);

/* Draw a path onto the map */
void draw_path(World *world, pathnode *path);

int free_path(pathnode* path);

struct _pathnode {
  float x,y;
  pathnode *next, *last;
};

#endif /* __pathfind_h__ */
