/* 
 * NATOW - Tank to tank warfare in a 3D fully destructable world
 *
 * Copyright (C) 2000-2001
 *                     Robert Ancell  <bob27@users.sourceforge.net>
 *                     Yannick Perret <hexasoft@users.sourceforge.net>
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */

#ifndef __player_config_h__
#define __player_config_h__

#include "player.h"

/* Reset back to defaults */
int reset_player_config(void);

/* Draw a screen to configure a player */
int draw_player_config(Game *game);

/* Manage the input for the player config view */
void manage_player_config_input(Game *game, int key);

/* Draw a menu to buy weapons etc from */
int draw_player_shop(Game *game);

/* Manage the input when the players buy weapons etc */
int manage_player_shop_input(Game *game, int key);

#endif /* __player_config_h__ */
