/* 
 * NATOW - Tank to tank warfare in a 3D fully destructable world
 *
 * Copyright (C) 2000-2001
 *                     Robert Ancell  <bob27@users.sourceforge.net>
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */

/* tools.c
   Various shared functions used in n.a.t.o.w */

#include <stdio.h>
#include <stdlib.h>

#include "tools.h"

/* free with a NULL checking */
void Nfree(void *ptr)
{
  if(ptr)
    free(ptr);
}

/* returns a random integer between a and b (included) */
int random_integer(int a, int b)
{
  return a + (int) ((float)(b - a + 1.0) * rand() / (RAND_MAX + 1.0));
}

/* returns a random float between a and b (included) */
float random_float(float  a, float  b)
{
  return( ((float)rand() / RAND_MAX) * (b - a) + a );
}

int random_1on2()
{
  return(random_integer(0,1000) < 500);
}

